
Name:          fits-java
Version:       1.07.0
Release:       %mkrel 1
Summary:       Java Library for access to FITS files
Group:         Development/Java
License:       GPL
Url:           http://fits.gsfc.nasa.gov/fits_libraries.html#java_tam
Source0:       http://heasarc.gsfc.nasa.gov/docs/heasarc/fits/java/v1.0/v1.07.0/fits_src.jar
Source1:       http://heasarc.gsfc.nasa.gov/docs/heasarc/fits/java/v1.0/NOTE.v107.0

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
A Java FITS library has been developed which provides efficient -- at least for Java -- I/O for FITS images and
binary tables. The Java libraries support all basic FITS formats and gzip compressed files. Support for
access to data subsets is included and the HIERARCH convention may be used.

%package test
Group:         Development/Java
Summary:       Java test Library for %{name}

%description test
Java Library for access to FITS files.

This package contains test Library for %{name}.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

cp %SOURCE1 NOTE.v105.0

mkdir -p src
mv nom src
mkdir -p target/classes
mkdir -p target/classes-test

%build

%{javac} -source 1.6 -target 1.6 \
  -classpath target/classes:$(build-classpath junit4)  -g \
  -d target/classes \
  -encoding iso-8859-1 \
  $(find src -name "*.java")


mkdir -p target/classes-test/nom/tam/util
mv target/classes/nom/tam/util/test target/classes-test/nom/tam/util
mkdir -p target/classes-test/nom/tam/fits/
mv target/classes/nom/tam/fits/test target/classes-test/nom/tam/fits/
cp -pr src/nom/tam/fits/test/test.fits target/classes-test/nom/tam/fits/test/
cp -pr src/nom/tam/fits/test/test.fits.Z target/classes-test/nom/tam/fits/test/
cp -pr src/nom/tam/fits/test/test.fits.bz2 target/classes-test/nom/tam/fits/test/
cp -pr src/nom/tam/fits/test/test.fits.gz target/classes-test/nom/tam/fits/test/
cp -pr src/nom/tam/fits/test/test_dup.fits target/classes-test/nom/tam/fits/test/

%{jar} cf target/fits.jar -C target/classes .
%{jar} cf target/fits-test.jar -C target/classes-test .

%{javadoc} -d target/apidocs \
  -source 1.6 \
  -encoding iso-8859-1 \
  -sourcepath src nom.tam.fits

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/fits.jar \
  %{buildroot}%{_javadir}/
install -m 644 target/fits-test.jar \
  %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_javadocdir}/fits
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/fits

%files
%{_javadir}/fits.jar
%doc NOTE.v105.0

%files test
%{_javadir}/fits-test.jar

%files javadoc
%{_javadocdir}/fits

%changelog

* Sun Dec 11 2011 gil <gil> 1.07.0-1.mga2
+ Revision: 180647
- imported package fits-java

